BinaryExpressionHelper (groovy 3.0.9 API)

Package: org.codehaus.groovy.classgen.asm

## [Java] Class BinaryExpressionHelper

- org.codehaus.groovy.classgen.asm.BinaryExpressionHelper

-     public class BinaryExpressionHelper
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected WriterController` | `controller` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BinaryExpressionHelper (WriterController wc)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `assignToArray(Expression parent, Expression receiver, Expression index, Expression rhsValueLoader)`
    `` | `protected void` | `assignToArray(Expression parent, Expression receiver, Expression index, Expression rhsValueLoader, boolean safe)`
    `` | `public void` | `eval(BinaryExpression expression)`
    `` | `protected void` | `evaluateArrayAssignmentWithOperator(String method, BinaryExpression expression, BinaryExpression leftBinExpr)`
    `` | `protected void` | `evaluateBinaryExpression(String message, BinaryExpression expression)`
    `` | `protected void` | `evaluateBinaryExpressionWithAssignment(String method, BinaryExpression expression)`
    `` | `protected void` | `evaluateCompareExpression(MethodCaller compareMethod, BinaryExpression expression)`
    `` | `public void` | `evaluateElvisEqual(BinaryExpression expression)`
    `` | `public void` | `evaluateEqual(BinaryExpression expression, boolean defineVariable)`
    `` | `public void` | `evaluatePostfixMethod(PostfixExpression expression)`
    `` | `public void` | `evaluatePrefixMethod(PrefixExpression expression)`
    `` | `public void` | `evaluateTernary(TernaryExpression expression)`
    `` | `public WriterController` | `getController()`
    `` | `public MethodCaller` | `getIsCaseMethod()`
    `` | `public void` | `visit(org.objectweb.asm.MethodVisitor mv)`
    `` | `protected void` | `writePostOrPrefixMethod(int op, String method, Expression expression, Expression orig)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected final WriterController controller

  - ### Constructor Detail

    - #### public BinaryExpressionHelper(WriterController wc)

  - ### Method Detail

    - #### @Deprecated protected void assignToArray(Expression parent, Expression receiver, Expression index, Expression rhsValueLoader)

    - #### protected void assignToArray(Expression parent, Expression receiver, Expression index, Expression rhsValueLoader, boolean safe)

    - #### public void eval(BinaryExpression expression)

    - #### protected void evaluateArrayAssignmentWithOperator(String method, BinaryExpression expression, BinaryExpression leftBinExpr)

    - #### protected void evaluateBinaryExpression(String message, BinaryExpression expression)

    - #### protected void evaluateBinaryExpressionWithAssignment(String method, BinaryExpression expression)

    - #### protected void evaluateCompareExpression(MethodCaller compareMethod, BinaryExpression expression)

    - #### public void evaluateElvisEqual(BinaryExpression expression)

    - #### public void evaluateEqual(BinaryExpression expression, boolean defineVariable)

    - #### public void evaluatePostfixMethod(PostfixExpression expression)

    - #### public void evaluatePrefixMethod(PrefixExpression expression)

    - #### public void evaluateTernary(TernaryExpression expression)

    - #### public WriterController getController()

    - #### public MethodCaller getIsCaseMethod()

    - #### @Override public void visit(org.objectweb.asm.MethodVisitor mv)

    - #### protected void writePostOrPrefixMethod(int op, String method, Expression expression, Expression orig)